### Enumeration

# GtkEventControllerScrollFlags

#### Declaration

    flags Gtk.EventControllerScrollFlags

#### Description [src]

Describes the behavior of a `GtkEventControllerScroll`.

#### Members

`GTK_EVENT_CONTROLLER_SCROLL_NONE`

  Don’t emit scroll.

  - Value: `0`
  - Nickname: `none`
  - Available since: 4.0
`GTK_EVENT_CONTROLLER_SCROLL_VERTICAL`

  Emit scroll with vertical deltas.

  - Value: `1`
  - Nickname: `vertical`
  - Available since: 4.0
`GTK_EVENT_CONTROLLER_SCROLL_HORIZONTAL`

  Emit scroll with horizontal deltas.

  - Value: `2`
  - Nickname: `horizontal`
  - Available since: 4.0
`GTK_EVENT_CONTROLLER_SCROLL_DISCRETE`

  Only emit deltas that are multiples of 1.

  - Value: `4`
  - Nickname: `discrete`
  - Available since: 4.0
`GTK_EVENT_CONTROLLER_SCROLL_KINETIC`

  Emit ::decelerate after continuous scroll finishes.

  - Value: `8`
  - Nickname: `kinetic`
  - Available since: 4.0
`GTK_EVENT_CONTROLLER_SCROLL_BOTH_AXES`

  Emit scroll on both axes.

  - Value: `3`
  - Nickname: `both-axes`
  - Available since: 4.0